package cz.cvut.fel.tik.adaptivehuffman.encoder;

import cz.cvut.fel.tik.adaptivehuffman.tree.*;

public class VitterEncoder implements Encoder {
	
	private Tree tree = new VitterTree();
	
	@Override
	public String encode(String message) {
		String encoded = "";
		for(int i = 0; i < message.length(); i++){
			encoded += tree.getBitValueOf(message.charAt(i));
		}
		return encoded;
	}

}
