package cz.cvut.fel.tik.adaptivehuffman.factory;

import cz.cvut.fel.tik.adaptivehuffman.decoder.Decoder;
import cz.cvut.fel.tik.adaptivehuffman.decoder.VitterDecoder;
import cz.cvut.fel.tik.adaptivehuffman.encoder.Encoder;
import cz.cvut.fel.tik.adaptivehuffman.encoder.VitterEncoder;

public class VitterFactory implements CodingFactory {

	@Override
	public Encoder createEncoder() {
		return new VitterEncoder();
	}

	@Override
	public Decoder createDecoder() {
		return new VitterDecoder();
	}
	
	@Override
	public String toString() {
		return "vitter";
	}

}
