package cz.cvut.fel.tik.adaptivehuffman.factory;

import cz.cvut.fel.tik.adaptivehuffman.decoder.Decoder;
import cz.cvut.fel.tik.adaptivehuffman.decoder.FGKDecoder;
import cz.cvut.fel.tik.adaptivehuffman.encoder.Encoder;
import cz.cvut.fel.tik.adaptivehuffman.encoder.FGKEncoder;

public class FGKFactory implements CodingFactory {

	@Override
	public Encoder createEncoder() {
		return new FGKEncoder();
	}

	@Override
	public Decoder createDecoder() {
		return new FGKDecoder();
	}
	
	@Override
	public String toString() {
		return "fgk";
	}

}
