package cz.cvut.fel.tik.adaptivehuffman.util;

public class Utility {

	private Utility() {
		// private constructor
	}
	
	public static char bitToChar(String substring) {
		int timer = 128;
		char c = 0;
		for(int i = 0; i < substring.length(); i++) {
			if(substring.charAt(i) == '1') c+= timer;
			timer /= 2;
		}
		return c;
	}
	
	public static String charToBit(char c) {
		int timer = 128;
		String s = "";
		for(int i = 0; i < 8; i++) {
			if(c >= timer) {
				s += "1";
				c-= timer;
			} else s+= "0";
			timer /= 2;
		}
		return s;
	}
	
}
